petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscSFRegister

Adds an implementation of the PetscSF communication protocol.

### Synopsis

    #include "petscsf.h"
    PetscErrorCode  PetscSFRegister(const char sname[],PetscErrorCode (*function)(PetscSF))

Not collective

### Input Parameters

| name_impl | - name of a new user-defined implementation
| routine_create | - routine to create method context

### Notes

PetscSFRegister() may be called multiple times to add several user-defined implementations.

### Sample usage

       PetscSFRegister("my_impl",MyImplCreate);

Then, this implementation can be chosen with the procedural interface via

        PetscSFSetType(sf,"my_impl")

or at runtime via the option

        -snes_type my_solver

### Keywords

PetscSF, register

### See Also

PetscSFRegisterAll(), PetscSFRegisterDestroy()

Level:advanced
Location:src/vec/is/sf/interface/sfregi.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages